## javax.persistence.spi
Class PersistenceProviderResolverHolder

    java.lang.Object
      javax.persistence.spi.PersistenceProviderResolverHolder

    public class PersistenceProviderResolverHolder

extends java.lang.Object

Contains Geronimo implemented code as required by the JPA spec. Finds/Creates the global `PersistenceProviderResolver` Implementations must be thread-safe.

Since:
  Java Persistence 2.0

Constructor Summary
`PersistenceProviderResolverHolder()`

Method Summary
`static PersistenceProviderResolver` `getPersistenceProviderResolver()`
`static void` `setPersistenceProviderResolver(PersistenceProviderResolver resolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceProviderResolverHolder

    public PersistenceProviderResolverHolder()

Method Detail

### getPersistenceProviderResolver

    public static PersistenceProviderResolver getPersistenceProviderResolver()

### setPersistenceProviderResolver

    public static void setPersistenceProviderResolver(PersistenceProviderResolver resolver)